<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<XMLDefinition Generator="Iron Speed Designer" Version="9.2" Type="GENERIC">
  <ColumnDefinition>
    <Column InternalName="0" Priority="1" ColumnNum="0">
      <columnName>ArmyId</columnName>
      <columnUIName>%ISD_DEFAULT%</columnUIName>
      <columnType>Number</columnType>
      <columnDBType>tinyint</columnDBType>
      <columnLengthSet>3.0</columnLengthSet>
      <columnDefault>
      </columnDefault>
      <columnDBDefault>
      </columnDBDefault>
      <columnIndex>Y</columnIndex>
      <columnUnique>Y</columnUnique>
      <columnFunction>
      </columnFunction>
      <columnDBFormat>
      </columnDBFormat>
      <columnPK>Y</columnPK>
      <columnPermanent>N</columnPermanent>
      <columnComputed>N</columnComputed>
      <columnIdentity>N</columnIdentity>
      <columnReadOnly>N</columnReadOnly>
      <columnRequired>Y</columnRequired>
      <columnNotNull>Y</columnNotNull>
      <columnCaseSensitive>N</columnCaseSensitive>
      <columnCollation>
      </columnCollation>
      <columnFullText>N</columnFullText>
      <columnVisibleWidth>%ISD_DEFAULT%</columnVisibleWidth>
      <columnTableAliasName>
      </columnTableAliasName>
      <applyLabelText>Y</applyLabelText>
      <applyDFKA>N</applyDFKA>
      <applyInitializeInsertingRecord>N</applyInitializeInsertingRecord>
      <applyInitializeReadingRecord>N</applyInitializeReadingRecord>
      <applyInitializeUpdatingRecord>N</applyInitializeUpdatingRecord>
      <applyValidateInsertingRecord>N</applyValidateInsertingRecord>
      <applyValidateUpdatingRecord>N</applyValidateUpdatingRecord>
      <applyDefaultValue>N</applyDefaultValue>
      <insertingRecordFormula>
      </insertingRecordFormula>
      <readingRecordFormula>
      </readingRecordFormula>
      <updatingRecordFormula>
      </updatingRecordFormula>
      <insertingFormula>
      </insertingFormula>
      <updatingFormula>
      </updatingFormula>
    </Column>
    <Column InternalName="1" Priority="2" ColumnNum="1">
      <columnName>Army</columnName>
      <columnUIName Source="User">เหล่าทัพ</columnUIName>
      <columnType>String</columnType>
      <columnDBType>nvarchar</columnDBType>
      <columnLengthSet>50</columnLengthSet>
      <columnDefault>
      </columnDefault>
      <columnDBDefault>
      </columnDBDefault>
      <columnIndex>N</columnIndex>
      <columnUnique>N</columnUnique>
      <columnFunction>
      </columnFunction>
      <columnDBFormat>
      </columnDBFormat>
      <columnPK>N</columnPK>
      <columnPermanent>N</columnPermanent>
      <columnComputed>N</columnComputed>
      <columnIdentity>N</columnIdentity>
      <columnReadOnly>N</columnReadOnly>
      <columnRequired>N</columnRequired>
      <columnNotNull>N</columnNotNull>
      <columnCaseSensitive Source="Database">N</columnCaseSensitive>
      <columnCollation>Thai_CI_AS</columnCollation>
      <columnFullText>N</columnFullText>
      <columnVisibleWidth>%ISD_DEFAULT%</columnVisibleWidth>
      <columnTableAliasName>
      </columnTableAliasName>
      <applyLabelText>Y</applyLabelText>
      <applyDFKA>N</applyDFKA>
      <applyInitializeInsertingRecord>N</applyInitializeInsertingRecord>
      <applyInitializeReadingRecord>N</applyInitializeReadingRecord>
      <applyInitializeUpdatingRecord>N</applyInitializeUpdatingRecord>
      <applyValidateInsertingRecord>N</applyValidateInsertingRecord>
      <applyValidateUpdatingRecord>N</applyValidateUpdatingRecord>
      <applyDefaultValue>N</applyDefaultValue>
      <insertingRecordFormula>
      </insertingRecordFormula>
      <readingRecordFormula>
      </readingRecordFormula>
      <updatingRecordFormula>
      </updatingRecordFormula>
      <insertingFormula>
      </insertingFormula>
      <updatingFormula>
      </updatingFormula>
    </Column>
  </ColumnDefinition>
  <TableName>Army</TableName>
  <Version>1</Version>
  <Owner>dbo</Owner>
  <TableCodeName>Army</TableCodeName>
  <TableAliasName>Army_</TableAliasName>
  <ConnectionName>DatabasePersons1</ConnectionName>
  <PagingMethod>RowNum</PagingMethod>
  <canCreateRecords Source="Database">Y</canCreateRecords>
  <canEditRecords Source="Database">Y</canEditRecords>
  <canDeleteRecords Source="Database">Y</canDeleteRecords>
  <canViewRecords Source="Database">Y</canViewRecords>
  <ConcurrencyMethod>BinaryChecksum</ConcurrencyMethod>
  <AppShortName>Persons</AppShortName>
</XMLDefinition>